summaryrefslogtreecommitdiff
path: root/pcr/libspnav
diff options
context:
space:
mode:
authorMárcio Alexandre Silva Delgado <coadde@lavabit.com>2013-02-21 17:53:57 -0200
committerMárcio Alexandre Silva Delgado <coadde@lavabit.com>2013-02-21 17:53:57 -0200
commit7584562f4a10bc697cd236b243eedd1943291e08 (patch)
tree2a8167fa016ab7bf9f9c0ee216c70ef4e0d45c80 /pcr/libspnav
parent5bac404e23f0f131ee87d441838e5528258401aa (diff)
migrating all artistic pkg repo to pcr:
* migrating aqsis, cinepaint-lts, gimp-art, libspnav, spacenavd, spnavcfg and yafaray-git to prc repo.
Diffstat (limited to 'pcr/libspnav')
-rw-r--r--pcr/libspnav/Makefile.in.diff19
-rw-r--r--pcr/libspnav/PKGBUILD24
2 files changed, 43 insertions, 0 deletions
diff --git a/pcr/libspnav/Makefile.in.diff b/pcr/libspnav/Makefile.in.diff
new file mode 100644
index 000000000..4c93b9cb6
--- /dev/null
+++ b/pcr/libspnav/Makefile.in.diff
@@ -0,0 +1,19 @@
+--- Makefile.in.orig 2009-04-18 00:12:45.000000000 +0200
++++ Makefile.in 2009-04-18 00:16:06.000000000 +0200
+@@ -4,6 +4,7 @@
+ lib_a = libspnav.a
+ soname = libspnav.so.0
+ lib_so = $(soname).1
++linkname = libspnav.so
+
+ CC = gcc
+ AR = ar
+@@ -34,6 +35,8 @@
+ install: $(lib_a) $(lib_so)
+ cp $(lib_a) $(PREFIX)/$(libdir)/$(lib_a)
+ cp $(lib_so) $(PREFIX)/$(libdir)/$(lib_so)
++ ln -s $(lib_so) $(linkname)
++ cp -d $(linkname) $(PREFIX)/$(libdir)/$(linkname)
+ for h in $(hdr); do cp -p $(srcdir)/$$h $(PREFIX)/include/; done
+
+ .PHONY: uninstall
diff --git a/pcr/libspnav/PKGBUILD b/pcr/libspnav/PKGBUILD
new file mode 100644
index 000000000..da0272ed7
--- /dev/null
+++ b/pcr/libspnav/PKGBUILD
@@ -0,0 +1,24 @@
+# Contributor: Jan Hambrecht <jaham at gmx dot net>
+# Maintainer (Parabola): Márcio Silva <coadde@lavabit.com>
+
+pkgname=libspnav
+pkgver=0.2.2
+pkgrel=3
+pkgdesc="The spacenav project provides a free, compatible alternative, to the proprietary 3Dconnexion device driver and SDK, for their 3D input devices (called 'space navigator', 'space pilot', 'space traveller', etc)."
+arch=('i686' 'x86_64' 'mips64el')
+url="http://spacenav.sourceforge.net/"
+license=('GPL')
+depends=('libx11')
+source=(http://downloads.sourceforge.net/spacenav/$pkgname-$pkgver.tar.gz Makefile.in.diff)
+md5sums=('b85a0f4ab711e2d4f73a40e2e371f5ae'
+ 'f9122ad4ca823e45bfa0538187df6270')
+
+build() {
+ cd $srcdir/$pkgname-$pkgver
+ patch -p0 < $srcdir/Makefile.in.diff
+ ./configure --prefix=$pkgdir/usr --disable-debug
+ make || return 1
+ install -d $pkgdir/usr/lib
+ install -d $pkgdir/usr/include
+ make DESTDIR=$pkgdir install || return 1
+}